cache.h
dpp/export.h
dpp/snowflake.h
dpp/managed.h
unordered_map
mutex
shared_mutex
cluster.h
dpp.h
restresults.h
cache.h
dpp/exception.h
dpp/export.h
dpp/json_fwd.h
dpp/managed.h
dpp/snowflake.h
algorithm
cstdint
exception
mutex
nlohmann/json_fwd.hpp
shared_mutex
string
type_traits
unordered_map
cache.h
cluster.h
collector.h
discord_webhook_server.h
discordvoiceclient.h
dpp.h
http_server.h
restrequest.h
restresults.h
socket_listener.h
timed_listener.h
dpp::cache
dpp
cache_decl
type
setter
getter
counter
/** Find an object in the cache by id. @return type* Pointer to the object or nullptr when it's not found */ DPP_EXPORT class type * setter (snowflake id); DPP_EXPORT cache<class type> * getter (); /** Get the amount of cached type objects. */ DPP_EXPORT uint64_t counter ();